@echo off
set FILE1=boot_app0.bin
set FILE2=bootloader_qio_80m.bin
set FILE3=LED-Uhr_0807.ino.bin
set FILE4=LED-Uhr_0807.ino.partitions.bin

CHOICE /C EDI /M "E = Englisch, D = Deutsch, I = Italiano"
if ERRORLEVEL ==3 goto LANGI
if ERRORLEVEL ==2 goto LANGD
if ERRORLEVEL ==1 goto LANGE

:LANGE
set TXT1=1. Connect Clock via USB to your PC
set TXT2=2. Search for COM Port Number in Device Manager
set TXT3=3. Close Device Manager
set TXT4=Enter COM Port Number:
goto NEXT0

:LANGD
set TXT1=1. Schliessen Sie die Uhr ueber USB an Ihren PC an
set TXT2=2. Suche nach COM-Anschlussnummer im Geraete-Manager
set TXT3=3. Geraete-Manager schliessen
set TXT4=COM Port Nummer eingeben:
goto NEXT0

:LANGI
set TXT1=1. Collega l'orologio via USB al tuo PC
set TXT2=2. Cercare il numero della porta COM in Gestione dispositivi
set TXT3=3. Chiudere Gestione dispositivi
set TXT4=Inserire il numero della porta COM:
set TXT5=La versione locale è:
set TXT6=La versione remota è:
goto NEXT0

:NEXT0
echo %TXT1%
pause

echo %TXT2%
echo %TXT3%
devmgmt.msc

set /p PORT=%TXT4%

esptool.exe --chip esp32 --port COM%PORT% --baud 921600 --before default_reset --after hard_reset write_flash -z --flash_mode dio --flash_freq 80m --flash_size detect 0xe000 %FILE1% 0x1000 %FILE2% 0x10000 %FILE3% 0x8000 %FILE4% 

pause
